package org.jeecg.modules.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.app.vo.game.*;
import org.jeecg.modules.system.app.entity.AppGame;

import java.util.List;

/**
 * @Description: 赛事表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
public interface IGameService {


    Result<IPage<FindPagResponse>> findConcerts(FindPageGameVO findPageGame);

    Result<FindByIdResponse> findById(String id, String longitude, String latitude);


    Result<FindByGameIdPriceVo> findByGameId(String id);

    Result<AppGame> findScoreByGameId(String orderId);

    Result<String> findGetGameId(String orderId);

    Result<List<GameScheduleVO>> findScheduleByOrderId(String orderId);

}
